# Uses of Class
org.opensaml.xmlsec.SignatureValidationParameters

Packages that use SignatureValidationParameters
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.xmlsec.context
Message context classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of SignatureValidationParameters in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as SignatureValidationParameters
Modifier and Type
Field
Description
`private SignatureValidationParameters`
BaseSAMLSimpleSignatureSecurityHandler.`signatureValidationParameters`
Parameters for signature validation.
`private SignatureValidationParameters`
BaseSAMLXMLSignatureSecurityHandler.`signatureValidationParameters`
Parameters for signature validation.

## Uses of SignatureValidationParameters in org.opensaml.xmlsec.context

Fields in org.opensaml.xmlsec.context declared as SignatureValidationParameters
Modifier and Type
Field
Description
`private SignatureValidationParameters`
SecurityParametersContext.`signatureValidationParameters`
Signature validation parameters.
Methods in org.opensaml.xmlsec.context that return SignatureValidationParameters
Modifier and Type
Method
Description
`SignatureValidationParameters`
SecurityParametersContext.`getSignatureValidationParameters()`
Get the parameters to use for XML signature validation operations.
Methods in org.opensaml.xmlsec.context with parameters of type SignatureValidationParameters
Modifier and Type
Method
Description
`SecurityParametersContext`
SecurityParametersContext.`setSignatureValidationParameters(SignatureValidationParameters params)`
Set the parameters to use for XML signature validation operations.

## Uses of SignatureValidationParameters in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as SignatureValidationParameters
Modifier and Type
Field
Description
`private SignatureValidationParameters`
StaticSignatureValidationParametersResolver.`params`
Static parameters.
Methods in org.opensaml.xmlsec.impl that return SignatureValidationParameters
Modifier and Type
Method
Description
`SignatureValidationParameters`
BasicSignatureValidationParametersResolver.`resolveSingle(CriteriaSet criteria)`
`SignatureValidationParameters`
StaticSignatureValidationParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl that return types with arguments of type SignatureValidationParameters
Modifier and Type
Method
Description
`Iterable<SignatureValidationParameters>`
BasicSignatureValidationParametersResolver.`resolve(CriteriaSet criteria)`
`Iterable<SignatureValidationParameters>`
StaticSignatureValidationParametersResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl with parameters of type SignatureValidationParameters
Modifier and Type
Method
Description
`protected void`
BasicSignatureValidationParametersResolver.`logResult(SignatureValidationParameters params)`
Log the resolved parameters.
Constructors in org.opensaml.xmlsec.impl with parameters of type SignatureValidationParameters
Modifier
Constructor
Description
``
`StaticSignatureValidationParametersResolver(SignatureValidationParameters parameters)`
Constructor.

## Uses of SignatureValidationParameters in org.opensaml.xmlsec.signature.support

Fields in org.opensaml.xmlsec.signature.support declared as SignatureValidationParameters
Modifier and Type
Field
Description
`private SignatureValidationParameters`
SignatureValidationParametersCriterion.`params`
The SignatureValidationParameters instance.
Methods in org.opensaml.xmlsec.signature.support that return SignatureValidationParameters
Modifier and Type
Method
Description
`SignatureValidationParameters`
SignatureValidationParametersCriterion.`getSignatureValidationParameters()`
Get the signature validation parameters instance.
Constructors in org.opensaml.xmlsec.signature.support with parameters of type SignatureValidationParameters
Modifier
Constructor
Description
``
`SignatureValidationParametersCriterion(SignatureValidationParameters validationParams)`
Constructor.

## Uses of SignatureValidationParameters in org.opensaml.xmlsec.signature.support.impl

Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type SignatureValidationParameters
Modifier
Constructor
Description
``
`SignatureAlgorithmValidator(SignatureValidationParameters params)`
Constructor.